#include<iostream>
#include<vector>
#include<algorithm>
#include<utility>
std::vector<int> solve(std::vector<int> A){
    std::vector<int>B;
    B.push_back(A.size()-1);
    for(int j=0;j<A.size()-1;j++){
        B.push_back(j);
    }
    return B;
}